package com.fizz.business.domain;

import java.util.Date;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 全线张力对象 setup_tension_all_line
 * 
 * 三主键：steel_grade + thick + yield_stren
 */
public class SetupTensionAllLine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 钢种 */
    @Excel(name = "钢种")
    private String steelGrade;

    /** 厚度 */
    @Excel(name = "厚度")
    private Float thick;

    /** 屈服强度 */
    @Excel(name = "屈服强度")
    private Float yieldStren;

    /** 开卷机张力 */
    @Excel(name = "开卷机张力")
    private Float value1;

    /** 入口活套张力 */
    @Excel(name = "入口活套张力")
    private Float value2;

    /** 清洗段张力 */
    @Excel(name = "清洗段张力")
    private Float value3;

    /** 钝化段张力 */
    @Excel(name = "钝化段张力")
    private Float value4;

    /** 出口活套张力 */
    @Excel(name = "出口活套张力")
    private Float value5;

    /** 卷取机张力 */
    @Excel(name = "卷取机张力")
    private Float value6;

    /** 创建时间（表字段） */
    private Date createTime;

    /** 更新时间（表字段） */
    private Date updateTime;

    public String getSteelGrade() {
        return steelGrade;
    }

    public void setSteelGrade(String steelGrade) {
        this.steelGrade = steelGrade;
    }

    public Float getThick() {
        return thick;
    }

    public void setThick(Float thick) {
        this.thick = thick;
    }

    public Float getYieldStren() {
        return yieldStren;
    }

    public void setYieldStren(Float yieldStren) {
        this.yieldStren = yieldStren;
    }

    public Float getValue1() {
        return value1;
    }

    public void setValue1(Float value1) {
        this.value1 = value1;
    }

    public Float getValue2() {
        return value2;
    }

    public void setValue2(Float value2) {
        this.value2 = value2;
    }

    public Float getValue3() {
        return value3;
    }

    public void setValue3(Float value3) {
        this.value3 = value3;
    }

    public Float getValue4() {
        return value4;
    }

    public void setValue4(Float value4) {
        this.value4 = value4;
    }

    public Float getValue5() {
        return value5;
    }

    public void setValue5(Float value5) {
        this.value5 = value5;
    }

    public Float getValue6() {
        return value6;
    }

    public void setValue6(Float value6) {
        this.value6 = value6;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}

